﻿namespace Connected.Utilities;
public static class Helper
{
	public static bool IsNumericType(string type)
	{
		switch (type.ToLower())
		{
			case "uint16":
			case "uint32":
			case "uint64":
			case "int16":
			case "int32":
			case "int64":
			case "int":
			case "double":
			case "decimal":
			case "float":
				return true;
			default:
				return false;
		}
	}

	public static bool IsNumeric(string input)
	{
		try
		{
			var number = Double.Parse(input);
			return true;
		} catch
		{
			return false;
		}
	}
}
